# Interface MArea

All Superinterfaces:
  `MApplicationElement, MElementContainer<MPartSashContainerElement>, MGenericTile<MPartSashContainerElement>, MLocalizable, MPartSashContainer, MPartSashContainerElement, MUIElement, MUILabel, MWindowElement`

All Known Implementing Classes:
  `AreaImpl`

public interface MArea extends MPartSashContainer, MUILabel
A representation of the model object 'Area'.

This is a concrete element representing a (possibly sashed) chunk of the UI presentation that will minimize / maximize as one unit. This is used in Eclipse 4 to allow for a split Editor Area.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface MGenericTile

`isHorizontal, setHorizontal`

### Methods inherited from interface MLocalizable

`updateLocalization`

### Methods inherited from interface MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`